Issue:


I have an error when a try install Magento 2 Product Label version 1.1.3 on Magento 2.1.9

[Magento\Framework\Exception\LocalizedException]

 Invalid XML in file /var/www/html/app/code/Bss/ProductLabel/etc/indexer.xml:

 Element 'dependencies': This element is not expected.

 Line: 25

Please check and fix this issue.


Solution:


The issue is caused due to the fact that the Class Magento\Framework\Serialize\Serializer\Json does not exist on Magento 2.1.9.

Our module Magento 2 Product Label only supports Magento 2.2.x version and above.

Hence, our module version 1.1.3 does not support Magento 2.1.x.

We would suggest that you should try to upgrade your Magento version or roll back version 1.1.2 on your site to fix the issue.

To get the package module version 1.1.2, could you please email us at sales@bsscommerce.com?

When we receive your request, we will send the package for you to install it on your site.


If you have any questions or require any assistance, please feel free to contact us.

We are always willing to support you.